# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubygems_check_replacement_vulnerability/version'

Gem::Specification.new do |spec|
  spec.name          = "rubygems_check_replacement_vulnerability"
  spec.version       = RubygemsCheckReplacementVulnerability::VERSION
  spec.authors       = ["sue445"]
  spec.email         = ["sue445@sue445.net"]

  spec.summary       = %q{Check your gems whether affected by "RubyGems.org gem replacement vulnerability and mitigation"}
  spec.description   = <<-EOS
Check your gems whether affected by "RubyGems.org gem replacement vulnerability and mitigation"
http://blog.rubygems.org/2016/04/06/gem-replacement-vulnerability-and-mitigation.html
  EOS
  spec.homepage      = "https://github.com/sue445/rubygems_check_replacement_vulnerability"
  spec.license       = "MIT"

  spec.required_ruby_version = ">= 2.1.0"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "coveralls"
  spec.add_development_dependency "codeclimate-test-reporter"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rspec-its"
  spec.add_development_dependency "rspec-power_assert"
  spec.add_development_dependency "rspec-temp_dir"
end
